zenilib: zenilib/jni/external/libpng/pngread.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
pngread.c File Reference
`#include "pngpriv.h"`

Go to the source code of this file.

## Functions

void PNGAPI | png_destroy_read_struct (png_structpp png_ptr_ptr, png_infopp info_ptr_ptr, png_infopp end_info_ptr_ptr)
| PNG_FUNCTION (png_structp, PNGAPI png_create_read_struct,(png_const_charp user_png_ver, png_voidp error_ptr, png_error_ptr error_fn, png_error_ptr warn_fn), PNG_ALLOCATED)
| PNG_FUNCTION (png_structp, PNGAPI png_create_read_struct_2,(png_const_charp user_png_ver, png_voidp error_ptr, png_error_ptr error_fn, png_error_ptr warn_fn, png_voidp mem_ptr, png_malloc_ptr malloc_fn, png_free_ptr free_fn), PNG_ALLOCATED)
void | png_read_destroy (png_structp png_ptr, png_infop info_ptr, png_infop end_info_ptr)
void PNGAPI | png_read_end (png_structp png_ptr, png_infop info_ptr)
void PNGAPI | png_read_image (png_structp png_ptr, png_bytepp image)
void PNGAPI | png_read_info (png_structp png_ptr, png_infop info_ptr)
void PNGAPI | png_read_png (png_structp png_ptr, png_infop info_ptr, int transforms, voidp params)
void PNGAPI | png_read_row (png_structp png_ptr, png_bytep row, png_bytep dsp_row)
void PNGAPI | png_read_rows (png_structp png_ptr, png_bytepp row, png_bytepp display_row, png_uint_32 num_rows)
void PNGAPI | png_read_update_info (png_structp png_ptr, png_infop info_ptr)
void PNGAPI | png_set_read_status_fn (png_structp png_ptr, png_read_status_ptr read_row_fn)
void PNGAPI | png_start_read_image (png_structp png_ptr)

## Function Documentation

void PNGAPI png_destroy_read_struct | ( | png_structpp | png_ptr_ptr,
|  | png_infopp | info_ptr_ptr,
|  | png_infopp | end_info_ptr_ptr
| ) |  |

Definition at line 940 of file pngread.c.

References NULL, png_debug, png_destroy_struct(), png_destroy_struct_2(), png_free_data(), PNG_FREE_TEXT, and png_read_destroy().

Referenced by Zeni::Image::Image(), and test_one_file().

PNG_FUNCTION | ( | png_structp | ,
|  | PNGAPI | png_create_read_struct,
|  | (png_const_charp user_png_ver, png_voidp error_ptr,png_error_ptr error_fn, png_error_ptr warn_fn) | ,
|  | PNG_ALLOCATED |
| ) |  |

Definition at line 22 of file pngread.c.

References NULL.

PNG_FUNCTION | ( | png_structp | ,
|  | PNGAPI | png_create_read_struct_2,
|  | (png_const_charp user_png_ver, png_voidp error_ptr,png_error_ptr error_fn, png_error_ptr warn_fn, png_voidp mem_ptr,png_malloc_ptr malloc_fn, png_free_ptr free_fn) | ,
|  | PNG_ALLOCATED |
| ) |  |

Definition at line 35 of file pngread.c.

References inflateInit, NULL, PNG_ABORT, png_debug, png_destroy_struct(), png_destroy_struct_2(), png_free(), png_jmpbuf, png_memcpy, png_set_error_fn(), png_set_mem_fn(), png_set_read_fn(), png_sizeof, PNG_STRUCT_PNG, PNG_USER_CHUNK_CACHE_MAX, PNG_USER_CHUNK_MALLOC_MAX, PNG_USER_HEIGHT_MAX, png_user_version_check(), PNG_USER_WIDTH_MAX, png_warning(), PNG_ZBUF_SIZE, png_zfree(), Z_MEM_ERROR, Z_OK, Z_STREAM_ERROR, and Z_VERSION_ERROR.

void png_read_destroy | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_infop | end_info_ptr
| ) |  |

Definition at line 1013 of file pngread.c.

References inflateEnd(), NULL, png_debug, png_destroy_gamma_table(), png_free(), PNG_FREE_HIST, PNG_FREE_PLTE, PNG_FREE_TRNS, png_info_destroy(), png_memcpy, png_memset, png_sizeof, and png_zfree().

Referenced by png_destroy_read_struct().

void PNGAPI png_read_end | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |  |

Definition at line 799 of file pngread.c.

References NULL, png_benign_error(), png_bKGD, png_cHRM, png_chunk_unknown_handling(), png_crc_finish(), png_debug, png_gAMA, png_handle_bKGD(), png_handle_cHRM(), PNG_HANDLE_CHUNK_AS_DEFAULT, png_handle_gAMA(), png_handle_hIST(), png_handle_IEND(), png_handle_IHDR(), png_handle_iTXt(), png_handle_oFFs(), png_handle_pCAL(), png_handle_pHYs(), png_handle_PLTE(), png_handle_sBIT(), png_handle_sCAL(), png_handle_sRGB(), png_handle_tEXt(), png_handle_tIME(), png_handle_tRNS(), png_handle_unknown(), png_handle_zTXt(), PNG_HAVE_CHUNK_AFTER_IDAT, PNG_HAVE_IEND, PNG_HAVE_PLTE, png_hIST, png_iCCP, png_IDAT, png_IEND, png_IHDR, png_iTXt, png_oFFs, png_pCAL, png_pHYs, png_PLTE, png_read_chunk_header(), png_sBIT, png_sCAL, png_sPLT, png_sRGB, png_tEXt, png_tIME, png_tRNS, and png_zTXt.

Referenced by png_read_png(), and test_one_file().

void PNGAPI png_read_image | ( | png_structp | png_ptr,
|  | png_bytepp | image
| ) |  |

Definition at line 734 of file pngread.c.

References i, j, NULL, png_debug, png_error(), PNG_FLAG_ROW_INIT, PNG_INTERLACE, png_read_row(), png_set_interlace_handling(), png_start_read_image(), and png_warning().

Referenced by Zeni::Image::Image(), and png_read_png().

void PNGAPI png_read_info | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |  |

Definition at line 182 of file pngread.c.

References NULL, PNG_AFTER_IDAT, png_bKGD, png_cHRM, png_chunk_unknown_handling(), PNG_COLOR_TYPE_PALETTE, png_debug, png_error(), png_gAMA, png_handle_bKGD(), png_handle_cHRM(), PNG_HANDLE_CHUNK_AS_DEFAULT, png_handle_gAMA(), png_handle_hIST(), png_handle_IEND(), png_handle_IHDR(), png_handle_iTXt(), png_handle_oFFs(), png_handle_pCAL(), png_handle_pHYs(), png_handle_PLTE(), png_handle_sBIT(), png_handle_sCAL(), png_handle_sRGB(), png_handle_tEXt(), png_handle_tIME(), png_handle_tRNS(), png_handle_unknown(), png_handle_zTXt(), PNG_HAVE_CHUNK_AFTER_IDAT, PNG_HAVE_IDAT, PNG_HAVE_IHDR, PNG_HAVE_PLTE, png_hIST, png_iCCP, png_IDAT, png_IEND, png_IHDR, png_iTXt, png_oFFs, png_pCAL, png_pHYs, png_PLTE, png_read_chunk_header(), png_read_sig(), png_sBIT, png_sCAL, png_sPLT, png_sRGB, png_tEXt, png_tIME, png_tRNS, and png_zTXt.

Referenced by Zeni::Image::Image(), png_read_png(), and test_one_file().

void PNGAPI png_read_png | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | int | transforms,
|  | voidp | params
| ) |  |

Definition at line 1125 of file pngread.c.

References for(), int, NULL, PNG_COLOR_TYPE_PALETTE, png_error(), png_free_data(), PNG_FREE_ROWS, png_get_rowbytes(), png_get_sBIT(), png_get_valid(), PNG_INFO_IDAT, PNG_INFO_sBIT, PNG_INFO_tRNS, png_read_end(), png_read_image(), png_read_info(), png_read_update_info(), png_set_bgr(), png_set_expand(), png_set_expand_16(), png_set_gray_to_rgb(), png_set_interlace_handling(), png_set_invert_alpha(), png_set_invert_mono(), png_set_packing(), png_set_packswap(), png_set_scale_16(), png_set_shift(), png_set_strip_16(), png_set_strip_alpha(), png_set_swap(), png_set_swap_alpha(), png_sizeof, PNG_TRANSFORM_BGR, PNG_TRANSFORM_EXPAND, PNG_TRANSFORM_EXPAND_16, PNG_TRANSFORM_GRAY_TO_RGB, PNG_TRANSFORM_INVERT_ALPHA, PNG_TRANSFORM_INVERT_MONO, PNG_TRANSFORM_PACKING, PNG_TRANSFORM_PACKSWAP, PNG_TRANSFORM_SCALE_16, PNG_TRANSFORM_SHIFT, PNG_TRANSFORM_STRIP_16, PNG_TRANSFORM_STRIP_ALPHA, PNG_TRANSFORM_SWAP_ALPHA, PNG_TRANSFORM_SWAP_ENDIAN, PNG_UINT_32_MAX, and PNG_UNUSED.

void PNGAPI png_read_row | ( | png_structp | png_ptr,
|  | png_bytep | row,
|  | png_bytep | dsp_row
| ) |  |

Definition at line 379 of file pngread.c.

References png_row_info_struct::bit_depth, png_row_info_struct::channels, png_row_info_struct::color_type, if(), inflate(), NULL, png_row_info_struct::pixel_depth, PNG_AFTER_IDAT, png_benign_error(), PNG_BGR, png_combine_row(), png_crc_finish(), png_crc_read(), png_debug2, png_do_read_interlace(), png_do_read_intrapixel(), png_do_read_transformations(), png_error(), PNG_FILLER, PNG_FILTER_VALUE_LAST, PNG_FILTER_VALUE_NONE, PNG_FLAG_MNG_FILTER_64, PNG_FLAG_ROW_INIT, PNG_FLAG_ZLIB_FINISHED, PNG_HAVE_IDAT, png_IDAT, PNG_INTERLACE, PNG_INTRAPIXEL_DIFFERENCING, PNG_INVERT_MONO, png_memcpy, PNG_PACK, PNG_PACKSWAP, png_read_chunk_header(), png_read_filter_row(), png_read_finish_row(), png_read_start_row(), PNG_ROWBYTES, PNG_SHIFT, PNG_SWAP_BYTES, png_warning(), ret, png_row_info_struct::rowbytes, png_row_info_struct::width, Z_OK, Z_PARTIAL_FLUSH, and Z_STREAM_END.

Referenced by png_read_image(), and png_read_rows().

void PNGAPI png_read_rows | ( | png_structp | png_ptr,
|  | png_bytepp | row,
|  | png_bytepp | display_row,
|  | png_uint_32 | num_rows
| ) |  |

Definition at line 679 of file pngread.c.

References i, NULL, png_debug, and png_read_row().

Referenced by test_one_file().

void PNGAPI png_read_update_info | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |  |

Definition at line 345 of file pngread.c.

References NULL, png_debug, png_read_start_row(), png_read_transform_info(), and PNG_UNUSED.

Referenced by Zeni::Image::Image(), and png_read_png().

void PNGAPI png_set_read_status_fn | ( | png_structp | png_ptr,
|  | png_read_status_ptr | read_row_fn
| ) |  |

Definition at line 1113 of file pngread.c.

References NULL.

Referenced by test_one_file().

void PNGAPI png_start_read_image | ( | png_structp | png_ptr | ) |

Definition at line 368 of file pngread.c.

References NULL, png_debug, and png_read_start_row().

Referenced by png_read_image().